XenForo 2.1.7 is now available for all licensed customers to download. We recommend that all customers running previous versions of XenForo 2.1 upgrade to this release to benefit from increased stability.
Most importantly, this release fixes a security vulnerability in XenForo. Only XenForo 2.1.0 and above are affected.
The issue is a XSS vulnerability. XSS (Cross Site Scripting) issues allow scripts and malicious HTML to be injected into the page, potentially allowing data theft or unauthenticated access.
The vulnerability affects content displayed in the "Approval queue" and requires specially crafted text to be entered into a relevant field for the content type (such as a thread title).


XenForo v2.1.7 Final Changelog:
Some of the changes in XF 2.1.7 include:
Ensure that some jobs do not attempt to complete or otherwise change state inside a transaction.
Ensure correct URL is used in the bookmark label filter when friendly URLs are not enabled.
Display correct username styling when viewing users linked to an IP.
In alerts and the news feed, ensure the "your post" link in the reaction item is clickable.
Ensure Gravatar rebuild job respects the options sent to it.
Prevent users from deleting their own accounts
Check for guest posts in post reaction items
Ensure login button when viewing a forum as a guest wraps properly.
Only try to hide the global action indicator if it's actually present.
Do not redirect back to the login page after a connected account request
Properly check for tag container inside tagger
Do not escape outbound email test subject phrase
Correctly handle add-ons created with incorrect casing when the namespace already exists.
Add additional wording to make it clear that the rejection reason will be shown to users awaiting approval.
Remove hard-coded height from payment inputs
Add missing phrase for 'could_not_find_subscriber_id_for_this_purchase_re quest'
Display PHP's memory_limit within server environment report.
Force choice builder to use temporary variable with set tags
Remove Google+ URL from the Google connected account template.
Allow disabling pointer events for nested tooltips
Remove unused parameter when fetching reaction phrase
Update promotion history interface for clarity
Fix post copier attachment regex
The following public templates have had changes:
alert_post_reaction
approval_item_user
connected_account_associated_google
core_button.less
core_tooltip.less
forum_view
payment_initiate.less
reaction_item_post
thread_edit


The following are minimum requirements: | حداقل سیستم مورد نیاز جهت نصب:
PHP 5.6 or newer (PHP 7.3 recommended)
MySQL 5.5 and newer (Also compatible with MariaDB/Percona etc.)
All of the official add-ons require XenForo 2.1.
Enhanced Search requires at least Elasticsearch 2.0.

لینک دانلود مستقیم :
برای مشاهده محتوا می بایست ورود کنید؛اگه در تالار عضو نیستید  برای ثبت نام کلیک کنید  تا در مدت کوتاهی عضو تالار شوید.



› See More: دانلود اسکریپت انجمن ساز زنفورو ورژن 2.1.7 نال شده | XenForo v2.1.7 Rus Nulled